Skip to content
Start here

List Metadata Indexes

vectorize.indexes.metadata_index.list(strindex_name, MetadataIndexListParams**kwargs) -> MetadataIndexListResponse
GET/accounts/{account_id}/vectorize/v2/indexes/{index_name}/metadata_index/list

List Metadata Indexes for the specified Vectorize Index.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Vectorize WriteVectorize Read
ParametersExpand Collapse
account_id: str

Identifier

maxLength32
index_name: str
ReturnsExpand Collapse
class MetadataIndexListResponse:
metadata_indexes: Optional[List[MetadataIndex]]

Array of indexed metadata properties.

index_type: Optional[Literal["string", "number", "boolean"]]

Specifies the type of indexed metadata property.

One of the following:
"string"
"number"
"boolean"
property_name: Optional[str]

Specifies the indexed metadata property.

List Metadata Indexes

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
metadata_indices = client.vectorize.indexes.metadata_index.list(
    index_name="example-index",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(metadata_indices.metadata_indexes)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadataIndexes": [
      {
        "indexType": "number",
        "propertyName": "some-num-prop"
      },
      {
        "indexType": "string",
        "propertyName": "some-str-prop"
      },
      {
        "indexType": "boolean",
        "propertyName": "some-bool-prop"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "metadataIndexes": [
      {
        "indexType": "number",
        "propertyName": "some-num-prop"
      },
      {
        "indexType": "string",
        "propertyName": "some-str-prop"
      },
      {
        "indexType": "boolean",
        "propertyName": "some-bool-prop"
      }
    ]
  },
  "success": true
}